Summary:	LibGTop library
Summary(es.UTF-8):	Biblioteca LibGTop
Summary(ja.UTF-8):	LibGTop ライブラリ
Summary(pl.UTF-8):	Biblioteka LibGTop
Summary(pt_BR.UTF-8):	Biblioteca LibGTop
Summary(ru.UTF-8):	Библиотека LibGTop
Summary(uk.UTF-8):	Бібліотека LibGTop
Name:		libgtop
Version:	2.40.0
Release:	1
Epoch:		1
License:	GPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgtop/2.40/%{name}-%{version}.tar.xz
# Source0-md5:	c6d67325cd97b2208b41e07e6cc7b947
URL:		http://www.home-of-linux.org/gnome/libgtop/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.19.4
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gobject-introspection-devel >= 0.6.7
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	libtool
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xorg-lib-libXau-devel
BuildRequires:	xz
Requires:	glib2 >= 1:2.26.0
Obsoletes:	libgtop1
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library that fetches information about the running system such as
cpu and memory usage, active processes etc. On Linux systems, these
information are taken directly from the /proc filesystem while on
other systems a server is used to read those information from
/dev/kmem or whatever.

%description -l es.UTF-8
Una biblioteca que obtiene información sobre el sistema como cpu y uso
de la memoria, procesos activos, etc. En sistemas Linux esta
información se obtiene directamente del sistema de archivos /proc.

%description -l ja.UTF-8
このライブラリは、 CPU やメモリの使用率、アクティブプロセスなど、
実行中のシステムの情報を得るためのものです。

Linux システムでは、この情報は他のプログラムが /dev/kmem などから
取り出した情報の入っている /proc ファイルシステムから読み込まれます。

%description -l pl.UTF-8
LibGTop jest biblioteką do pozyskiwania informacji o uruchomionych
procesach jak zajętość pamięci i czasu procesora, aktywnych procesach
itd. Na Linuksie powyższe informacje są pozyskiwane bezpośrednio z
systemu plikowego znajdującego się w /proc, a na innych do pozyskania
powyższych informacji wykorzystywane jest urządzenie /dev/kmem lub
jeszcze w inny sposób zależny od systemu.

%description -l pt_BR.UTF-8
Uma biblioteca que obtém informações sobre o sistema como cpu e uso da
memória, processos ativos, etc. Em sistemas Linux estas informações
são obtidas diretamente do sistema de arquivos /proc.

%description -l ru.UTF-8
Библиотека, которая извлекает информацию о работающей системе, такую
как использование памяти и процессорного времени, активные процессы и
др.

На системах Linux эта информация берется напрямую из файловой системы
/proc, тогда как на других системах используется сервер для чтения из
таких источников как /dev/kmem.

%description -l uk.UTF-8
Бібліотека, що добуває інформацію про працюючу систему, таку як
використання памяті та процесорного часу, активні процеси та інше.

На системах Linux ця інформація береться напряму з файлової системи
/proc, тоді як на інших системах використовується сервер для читання з
таких джерел як /dev/kmem.

%package devel
Summary:	Header files and etc for develop LibGTop applications
Summary(es.UTF-8):	Bibliotecas e archivos de inclusión para desarrollar aplicaciones LibGTop
Summary(ja.UTF-8):	LibGTop アプリケーション作成のためのライブラリ、インクルードファイルやその他ファイル
Summary(pl.UTF-8):	Pliki nagłówkowe dla LibGTop
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de inclusão para desenvolver aplicações com a LibGTop
Summary(ru.UTF-8):	Файлы для разработки программ с использованием LibGTop
Summary(uk.UTF-8):	Файли для розробки програм з використанням LibGTop
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	glib2-devel >= 1:2.26.0
Requires:	xorg-lib-libXau-devel
Obsoletes:	libgtop1-devel

%description devel
Header files and etc for develop LibGTop applications.

%description devel -l es.UTF-8
Bibliotecas e archivos de inclusión para desarrollar aplicaciones
LibGTop.

%description devel -l ja.UTF-8
CPU やメモリの使用率などのシステム情報にアクセスするアプリケーションを
作成する場合、このパッケージをインストールしてください。

%description devel -l pl.UTF-8
Pliki nagłówkowe i inne potrzebne do tworzenia programów opartych o
LibGTop.

%description devel -l pt_BR.UTF-8
Bibliotecas e arquivos de inclusão para desenvolver aplicações com a
LibGTop.

%description devel -l ru.UTF-8
Библиотеки, хедеры и другие файлы для разработки программ с
использованием LibGTop.

%description devel -l uk.UTF-8
Бібліотеки, хедери та інші файли для розробки програм з використанням
LibGTop.

%package static
Summary:	Static LibGTop libraries
Summary(pl.UTF-8):	Biblioteki statyczne LibGTop
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com LibGTop
Summary(ru.UTF-8):	Статические библиотеки для разработки программ с использованием LibGTop
Summary(uk.UTF-8):	Статичні бібліотеки для розробки програм з використанням LibGTop
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static LibGTop libraries.

%description static -l pl.UTF-8
Biblioteki statyczne LibGTop.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com LibGTop.

%description static -l uk.UTF-8
Статичні бібліотеки для розробки програм з використанням LibGTop.

%description static -l ru.UTF-8
Статические библиотеки для разработки программ с использованием
LibGTop.

%package apidocs
Summary:	LibGTop API documentation
Summary(pl.UTF-8):	Dokumentacja API LibGTop
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
LibGTop API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API LibGTop.

%package examples
Summary:	LibGTop - example programs
Summary(pl.UTF-8):	LibGTop - przykładowe programy
Group:		X11/Development/Libraries

%description examples
LibGTop - example programs.

%description examples -l pl.UTF-8
LibGTop - przykładowe programy.

%prep
%setup -q

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
touch po/POTFILES.in
%configure \
	--disable-silent-rules \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgtop-2.0.la

cp -p examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/libgtop_daemon2
%attr(755,root,root) %{_bindir}/libgtop_server2
%attr(755,root,root) %{_libdir}/libgtop-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtop-2.0.so.11
%{_libdir}/girepository-1.0/GTop-2.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtop-2.0.so
%{_datadir}/gir-1.0/GTop-2.0.gir
%{_includedir}/libgtop-2.0
%{_infodir}/libgtop2.info*
%{_pkgconfigdir}/libgtop-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgtop-2.0.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue May 21 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgtop.git;a=log;h=master

* Mon May 20 2019 Jakub Bogusz <qboosh@pld-linux.org> d98056c
- updated to 2.40.0
- drop .la file

* Thu Mar 14 2019 Jan Palus <atler@pld-linux.org> f989ea1
- release 2 (by relup.sh)

* Wed Sep 20 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 3ffdd89
- Update to 2.38.0 (note: new soname)

* Mon Apr 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 8b80e50
- automake version (for AM_SILENT_RULES)

* Tue Mar 21 2017 Marcin Banasiak <marcin.banasiak@gmail.com> c169bc0
- Update to 2.36.0

* Mon Jan 16 2017 Marcin Banasiak <marcin.banasiak@gmail.com> e7c16dc
- Update to 2.34.2

* Wed Sep 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 89e0529
- updated to 2.34.1

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> 313a799
- noarch apidocs

* Tue Mar 22 2016 Marcin Banasiak <marcin.banasiak@gmail.com> c7a2163
- Update to 2.34.0

* Mon Sep 28 2015 Marcin Banasiak <marcin.banasiak@gmail.com> ecaf3d2
- Update to 2.32.0

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> e2b95e8
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 0ca40c4
- updated gettext BR

* Sat May 17 2014 Jakub Bogusz <qboosh@pld-linux.org> 75ec665
- install time versioned glib dependency

* Sat May 03 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 06f96f0
- Update to 2.30.0 (note: new soname)

* Thu Aug 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 71c4d7e
- updated to 0.28.5

* Sun Sep 04 2011 Łukasz Kieś <kiesiu@pld-linux.org> 90f98d6
- updated to 2.28.4

* Sat Mar 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> bd6c967
- updated to 2.28.3

* Sat Mar 26 2011 Jakub Bogusz <qboosh@pld-linux.org> b645041
- en@shaw locale is now supported (via LANGUAGE)

* Thu Sep 30 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 274d951
- updated to 2.28.2

* Thu Apr 01 2010 Marcin Banasiak <marcin.banasiak@gmail.com> a327977
- updated to 2.28.1

